Page MenuHomePhabricator

Interaction Timeline V1
Closed, ResolvedPublic

Description

Prioritized requirements list (top-to-bottom)

FeatureDesign statusDev status
Loading indicatorT180072
Full date range support & infinite scrolln/aT179702
Error messages & fail statesT180083
Information densityT180090
Improve performancen/aT180156
Support IP usersn/aT180653
Username case sensitivityn/aT180084
Wiki suggestions should be smartn/aT180087
Revdeleted summaries should display as strikethroughn/aT180829
Date format should be neutraln/aT180725
Sections should display as §n/aT180745
Represent byte changes and minor editsT180415
In-line diffsT180417
Improve date pickern/aT180406
Header & footerT180089
Build APIn/aT184146
Box around all edits on same calendar datesT181568
Usernames should be pinned while scrollingT180245
Defects listed as subtasks belown/a-

Related Objects

StatusAssignedTask
Resolved TBolliger
Resolved TBolliger
Resolveddbarratt
Resolveddbarratt
Resolveddmaza
Resolveddbarratt
InvalidNone
Resolveddmaza
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
DeclinedNone
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
InvalidNone
Resolveddmaza
DuplicateNone
Resolveddmaza
Resolveddmaza
Resolveddmaza
DeclinedNone
InvalidNone
Duplicate TBolliger
Resolved TBolliger
Resolved TBolliger
Resolveddmaza
Resolveddmaza
ResolvedNone
Invaliddmaza
Resolveddmaza
Resolveddmaza
Resolveddmaza
Resolveddbarratt
Resolveddmaza
ResolvedSPoore
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
TBolliger updated the task description. (Show Details)
TBolliger updated the task description. (Show Details)Jan 4 2018, 6:10 PM
TBolliger updated the task description. (Show Details)Feb 1 2018, 9:36 PM

I propose to remove Anti-Harassment from the InteractionTimeline related tasks, is there isn't a concrete sprint assigned, as this was the idea of this project to begin with. You don't use Anti-Harassment at all AbuseFilter tasks either.

I use the Anti-Harassment wordboard to organize and coordinate all out teams' work, so I need these tasks to display.

Nevertheless, I want to point out that exactly this idea is the premise of T182480, which lead to the creation of this project. The activity of this subproject makes monitoring the activity of Anti-Harassment really spammy and messy.

TBolliger updated the task description. (Show Details)Feb 2 2018, 5:42 PM
TBolliger closed this task as Resolved.Mar 9 2018, 11:58 PM
TBolliger moved this task from Review to Done on the Anti-Harassment (AHT Sprint 16) board.
TBolliger added a subscriber: dmaza.

🎉

Great work, @dbarratt and @dmaza. You should be proud!